For the complete documentation index, see llms.txt. This page is also available as Markdown.

Knock

Generate a Knock user token for the current user

post
Query parameters
workspace_idstring · uuidOptional

The id of the workspace

drive_idstring · uuid · nullableOptional

The id of the drive. If provided, generates a token scoped to workspace + this drive only. If omitted, generates a token for workspace + all drives (legacy, avoid with 50+ drives).

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

Successful Response

application/json
tokenstringRequired
expires_atintegerRequired
post/knock/token
POST /knock/token HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "token": "text",
  "expires_at": 1
}

Fetch Knock notification preferences for a drive

get
Path parameters
drive_idstring · uuidRequired
Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

Successful Response

application/json
Other propertiesanyOptional
get/knock/drives/{drive_id}/preferences
GET /knock/drives/{drive_id}/preferences HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Update Knock notification preferences for a drive

put
Path parameters
drive_idstring · uuidRequired
Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

Successful Response

application/json
Other propertiesanyOptional
put/knock/drives/{drive_id}/preferences
PUT /knock/drives/{drive_id}/preferences HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 129

{
  "preferences": {
    "id": "default",
    "workflows": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  },
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Last updated

Was this helpful?